[libvirt] [PATCH v3] Produce more verbose error if cppi not found
by Michal Privoznik
It's fairly easy (especially for new contributors) to not spot
the 'cppi not installed' line in the syntax-check output. Turn it
into a banner that is more visible and at the same time add it as
a build dependency. Unfortunately, RHEL doesn't ship cppi so we
can add the dependency only for Fedora.
Since it's v1 this has effectively became code copied over from
Andrea's review suggestions.
Signed-off-by: Michal Privoznik <mprivozn(a)redhat.com>
---
cfg.mk | 5 +++++
libvirt.spec.in | 4 ++++
2 files changed, 9 insertions(+)
diff --git a/cfg.mk b/cfg.mk
index 5074ef611a..c0c240b2c0 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -1145,6 +1145,11 @@ ifneq ($(_gl-Makefile),)
syntax-check: spacing-check test-wrap-argv \
prohibit-duplicate-header mock-noinline group-qemu-caps \
header-ifdef
+ @if ! cppi --version >/dev/null 2>&1; then \
+ echo "*****************************************************" >&2; \
+ echo "* cppi not installed, some checks have been skipped *" >&2; \
+ echo "*****************************************************" >&2; \
+ fi
endif
# Don't include duplicate header in the source (either *.c or *.h)
diff --git a/libvirt.spec.in b/libvirt.spec.in
index 3b5b4925fd..7019488711 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -271,6 +271,10 @@ BuildRequires: perl
%endif
BuildRequires: %{python}
BuildRequires: systemd-units
+# For 'make syntax-check'
+%if 0%{?fedora}
+BuildRequires: cppi
+%endif
%if %{with_libxl}
BuildRequires: xen-devel
%endif
--
2.21.0
5 years, 5 months
[libvirt] [PATCH] test_driver: implement virDomainInterfaceAddresses
by Ilias Stamatis
Ignore @source in the case of the test driver and return fixed private
IPv4 addresses for all the interfaces defined in the domain.
Signed-off-by: Ilias Stamatis <stamatis.iliass(a)gmail.com>
---
The default config of the test driver has no guest interfaces defined,
so this must be tested with a custom config.
Maybe it would be a good idea to add one or more guest interfaces in the
default config. I could send an additional patch for this.
src/test/test_driver.c | 71 ++++++++++++++++++++++++++++++++++++++++++
1 file changed, 71 insertions(+)
diff --git a/src/test/test_driver.c b/src/test/test_driver.c
index a4c17ef0df..3a81f51a88 100644
--- a/src/test/test_driver.c
+++ b/src/test/test_driver.c
@@ -3220,6 +3220,76 @@ static int testDomainBlockStats(virDomainPtr domain,
return ret;
}
+static int
+testDomainInterfaceAddresses(virDomainPtr dom,
+ virDomainInterfacePtr **ifaces,
+ unsigned int source ATTRIBUTE_UNUSED,
+ unsigned int flags)
+{
+ size_t i;
+ size_t ifaces_count = 0;
+ int ret = -1;
+ char ipaddr[32];
+ char macaddr[VIR_MAC_STRING_BUFLEN];
+ virDomainObjPtr vm = NULL;
+ virDomainInterfacePtr iface = NULL;
+ virDomainInterfacePtr *ifaces_ret = NULL;
+
+ virCheckFlags(0, -1);
+
+ if (!(vm = testDomObjFromDomain(dom)))
+ goto cleanup;
+
+ if (virDomainObjCheckActive(vm) < 0)
+ goto cleanup;
+
+ if (VIR_ALLOC_N(ifaces_ret, vm->def->nnets) < 0)
+ goto cleanup;
+
+ for (i = 0; i < vm->def->nnets; i++) {
+ if (VIR_ALLOC(iface) < 0)
+ goto cleanup;
+
+ if (VIR_STRDUP(iface->name, vm->def->nets[i]->ifname) < 0)
+ goto cleanup;
+
+ virMacAddrFormat(&(vm->def->nets[i]->mac), macaddr);
+ if (VIR_STRDUP(iface->hwaddr, macaddr) < 0)
+ goto cleanup;
+
+ if (VIR_ALLOC(iface->addrs) < 0)
+ goto cleanup;
+
+ iface->addrs[0].type = VIR_IP_ADDR_TYPE_IPV4;
+ iface->addrs[0].prefix = 24;
+
+ sprintf(ipaddr, "192.168.0.%ld", 100 + (i % 155));
+ if (VIR_STRDUP(iface->addrs[0].addr, ipaddr) < 0)
+ goto cleanup;
+
+ iface->naddrs = 1;
+
+ VIR_STEAL_PTR(ifaces_ret[i], iface);
+ ifaces_count++;
+ }
+
+ VIR_STEAL_PTR(*ifaces, ifaces_ret);
+ ret = ifaces_count;
+
+ cleanup:
+ virDomainObjEndAPI(&vm);
+
+ if (ifaces_ret) {
+ for (i = 0; i < ifaces_count; i++)
+ virDomainInterfaceFree(ifaces_ret[i]);
+ }
+ virDomainInterfaceFree(iface);
+
+ VIR_FREE(ifaces_ret);
+
+ return ret;
+}
+
static int
testDomainInterfaceStats(virDomainPtr domain,
const char *device,
@@ -6876,6 +6946,7 @@ static virHypervisorDriver testHypervisorDriver = {
.domainSetSchedulerParameters = testDomainSetSchedulerParameters, /* 0.3.2 */
.domainSetSchedulerParametersFlags = testDomainSetSchedulerParametersFlags, /* 0.9.2 */
.domainBlockStats = testDomainBlockStats, /* 0.7.0 */
+ .domainInterfaceAddresses = testDomainInterfaceAddresses, /* 5.4.0 */
.domainInterfaceStats = testDomainInterfaceStats, /* 0.7.0 */
.nodeGetCellsFreeMemory = testNodeGetCellsFreeMemory, /* 0.4.2 */
.connectDomainEventRegister = testConnectDomainEventRegister, /* 0.6.0 */
--
2.21.0
5 years, 5 months
[libvirt] [PATCH] docs: fix some typos in networkport documentation
by Ján Tomko
Signed-off-by: Ján Tomko <jtomko(a)redhat.com>
---
docs/formatdomain.html.in | 4 ++--
docs/formatnetworkport.html.in | 12 ++++++------
2 files changed, 8 insertions(+), 8 deletions(-)
diff --git a/docs/formatdomain.html.in b/docs/formatdomain.html.in
index 73a9cb6205..cf585d8e99 100644
--- a/docs/formatdomain.html.in
+++ b/docs/formatdomain.html.in
@@ -5310,12 +5310,12 @@
connections. <span class="since">Since 0.9.4</span>.
</p>
<p>
- When a guest is running and interface of type <code>network</code>
+ When a guest is running an interface of type <code>network</code>
may include a <code>portid</code> attribute. This provides the UUID
of an associated virNetworkPortPtr object that records the association
between the domain interface and the network. This attribute is
read-only since port objects are create and deleted automatically
- during startup and shutdown. <span class="since">Since 5.1.0</span>/
+ during startup and shutdown. <span class="since">Since 5.1.0</span>
</p>
<p>
Also, similar to <code>direct</code> network connections
diff --git a/docs/formatnetworkport.html.in b/docs/formatnetworkport.html.in
index 554e5c65fc..0425e069ce 100644
--- a/docs/formatnetworkport.html.in
+++ b/docs/formatnetworkport.html.in
@@ -9,8 +9,8 @@
<p>
This page provides an introduction to the network port XML format.
- This stores information about the connection between an virtual
- interface on a virtual domain's, and the virtual network it is
+ This stores information about the connection between a virtual
+ interface of a virtual domain, and the virtual network it is
attached to.
</p>
@@ -73,7 +73,7 @@
<h3><a id="elementsCommon">Common elements</a></h3>
<p>
- The following elements are common to one of more of the plug
+ The following elements are common to one or more of the plug
types listed later
</p>
@@ -96,7 +96,7 @@
The <code>bandwidth</code> element and its child elements are described
in the <a href="formatnetwork.html#elementQoS">QoS</a> section of
the Network XML. In addition the <code>classID</code> attribute may
- exist provide the ID of the traffic shaping class that is active.
+ exist to provide the ID of the traffic shaping class that is active.
</dd>
<dt><code>rxfilters</code></dt>
<dd>The <code>rxfilters</code> element property
@@ -136,7 +136,7 @@
<pre>
...
- <plug type='network' bridge='virbr0'>
+ <plug type='network' bridge='virbr0'/>
...</pre>
<p>
@@ -154,7 +154,7 @@
<pre>
...
- <plug type='bridge' bridge='br2'>
+ <plug type='bridge' bridge='br2'/>
...</pre>
<p>
--
2.19.2
5 years, 5 months
[libvirt] [PATCH v2] Produce more verbose error if cppi not found
by Michal Privoznik
It's fairly easy (especially for new contributors) to not spot
the 'cppi not installed' line in the syntax-check output. Turn it
into a banner that is more visible and at the same time add it as
a build dependency. Unfortunately, RHEL doesn't ship cppi so we
can add the dependency only for Fedora.
Signed-off-by: Michal Privoznik <mprivozn(a)redhat.com>
---
Diff to v1:
- Instead of requiring cppi, produce more visible error
- Require cppi in specfile
cfg.mk | 9 +++++++--
libvirt.spec.in | 4 ++++
2 files changed, 11 insertions(+), 2 deletions(-)
diff --git a/cfg.mk b/cfg.mk
index 5074ef611a..2ee860a2c5 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -695,6 +695,11 @@ sc_require_whitespace_in_translation:
{ echo '$(ME): missing whitespace at line split' 1>&2; \
exit 1; } || :
+cppi_banner = \
+ " *****************************************************\n" \
+ "* cppi not installed, some checks have been skipped *\n" \
+ "*****************************************************"
+
# Enforce recommended preprocessor indentation style.
sc_preprocessor_indentation:
@if cppi --version >/dev/null 2>&1; then \
@@ -702,7 +707,7 @@ sc_preprocessor_indentation:
|| { echo '$(ME): incorrect preprocessor indentation' 1>&2; \
exit 1; }; \
else \
- echo '$(ME): skipping test $@: cppi not installed' 1>&2; \
+ echo -e "$(ME): skipping test $@:\n"$(cppi_banner) 1>&2; \
fi
# Enforce similar spec file indentation style, by running cppi on a
@@ -719,7 +724,7 @@ sc_spec_indentation:
|| { echo '$(ME): incorrect preprocessor indentation' 1>&2; \
exit 1; }; \
else \
- echo '$(ME): skipping test $@: cppi not installed' 1>&2; \
+ echo -e "$(ME): skipping test $@:\n"$(cppi_banner) 1>&2; \
fi
# Nested conditionals are easier to understand if we enforce that endifs
diff --git a/libvirt.spec.in b/libvirt.spec.in
index 59a2a0cb24..1a9e92c4bc 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -271,6 +271,10 @@ BuildRequires: perl
%endif
BuildRequires: %{python}
BuildRequires: systemd-units
+# For 'make syntax-check'
+%if 0%{?fedora}
+BuildRequires: cppi
+%endif
%if %{with_libxl}
BuildRequires: xen-devel
%endif
--
2.21.0
5 years, 5 months
[libvirt] [PATCH] virpcitest: Separate two functions properly
by Michal Privoznik
There is a missing empty line between two functions since its
introduction in v1.2.0-rc1~150.
Signed-off-by: Michal Privoznik <mprivozn(a)redhat.com>
---
Pushed under trivial rule.
tests/virpcimock.c | 1 +
1 file changed, 1 insertion(+)
diff --git a/tests/virpcimock.c b/tests/virpcimock.c
index 7f9cdaa9b8..beb5e1490d 100644
--- a/tests/virpcimock.c
+++ b/tests/virpcimock.c
@@ -696,6 +696,7 @@ pci_driver_handle_unbind(const char *path)
cleanup:
return ret;
}
+
static int
pci_driver_handle_new_id(const char *path)
{
--
2.21.0
5 years, 5 months
[libvirt] [PATCH v4 0/3] numa: deprecate '-numa node, mem' and default memory distribution
by Igor Mammedov
Changes since v3:
- simplify series by dropping idea of showing property values in "qom-list-properties"
and use MachineInfo in QAPI schema instead
Changes since v2:
- taking in account previous review, implement a way for mgmt to intospect if
'-numa node,mem' is supported by machine type as suggested by Daniel at
https://www.mail-archive.com/qemu-devel@nongnu.org/msg601220.html
* ammend "qom-list-properties" to show property values
* add "numa-mem-supported" machine property to reflect if '-numa node,mem=SZ'
is supported. It culd be used with '-machine none' or at runtime with
--preconfig before numa memory mapping are configured
* minor fixes to deprecation documentation mentioning "numa-mem-supported" property
1) "I'm considering to deprecating -mem-path/prealloc CLI options and replacing
them with a single memdev Machine property to allow interested users to pick
used backend for initial RAM (fixes mixed -mem-path+hostmem backends issues)
and as a transition step to modeling initial RAM as a Device instead of
(ab)using MemoryRegion APIs."
(for more details see: https://www.mail-archive.com/qemu-devel@nongnu.org/msg596314.html)
However there is a couple of roadblocks on the way (s390x and numa memory handling).
I think I finally thought out a way to hack s390x in migration compatible manner,
but I don't see any way to do it for -numa node,mem and default RAM assignement
to nodes. Considering both numa usecases aren't meaningfully using NUMA (aside
guest side testing) and could be replaced with explicitly used memdev parameter,
I'd like to propose removing these fake NUMA friends on new machine types,
hence this deprecation. And once the last machie type that supported the option
is removed we would be able to remove option altogether.
As result of removing deprecated options and replacing initial RAM allocation
with 'memdev's (1), QEMU will allocate guest RAM in consistent way, fixing mixed
use-case and allowing boards to move towards modelling initial RAM as Device(s).
Which in its own turn should allow to cleanup NUMA/HMP/memory accounting code
more by dropping ad-hoc node_mem tracking and reusing memory device enumeration
instead.
Reference to previous versions:
* https://www.mail-archive.com/qemu-devel@nongnu.org/msg617694.html
CC: libvir-list(a)redhat.com
CC: ehabkost(a)redhat.com
CC: pbonzini(a)redhat.com
CC: berrange(a)redhat.com
CC: armbru(a)redhat.com
Igor Mammedov (3):
machine: show if CLI option '-numa node,mem' is supported in QAPI
schema
numa: deprecate 'mem' parameter of '-numa node' option
numa: deprecate implict memory distribution between nodes
include/hw/boards.h | 3 +++
hw/arm/virt.c | 1 +
hw/i386/pc.c | 1 +
hw/ppc/spapr.c | 1 +
numa.c | 5 +++++
qapi/misc.json | 5 ++++-
qemu-deprecated.texi | 24 ++++++++++++++++++++++++
vl.c | 1 +
8 files changed, 40 insertions(+), 1 deletion(-)
--
2.7.4
5 years, 5 months
[libvirt] [PATCH] build: Require cppi for syntax-check
by Michal Privoznik
Since its introduction in v0.8.0~314 we allowed for cppi to be
not present for 'syntax-check' because the package did exist in
Fedora Core 12. Well, we don't care anymore ¯\_(ツ)_/¯
All recent distros have it. Moreover, it's fairly easy to miss
'cppi not installed' message in sea of syntax-check output (esp.
for newbies who probably benefit from it the most).
Signed-off-by: Michal Privoznik <mprivozn(a)redhat.com>
---
cfg.mk | 32 ++++++++++++--------------------
1 file changed, 12 insertions(+), 20 deletions(-)
diff --git a/cfg.mk b/cfg.mk
index 5074ef611a..dd0a177fb3 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -697,30 +697,22 @@ sc_require_whitespace_in_translation:
# Enforce recommended preprocessor indentation style.
sc_preprocessor_indentation:
- @if cppi --version >/dev/null 2>&1; then \
- $(VC_LIST_EXCEPT) | $(GREP) -E '\.[ch](\.in)?$$' | xargs cppi -a -c \
- || { echo '$(ME): incorrect preprocessor indentation' 1>&2; \
- exit 1; }; \
- else \
- echo '$(ME): skipping test $@: cppi not installed' 1>&2; \
- fi
+ @$(VC_LIST_EXCEPT) | $(GREP) -E '\.[ch](\.in)?$$' | xargs cppi -a -c \
+ || { echo '$(ME): incorrect preprocessor indentation' 1>&2; \
+ exit 1; };
# Enforce similar spec file indentation style, by running cppi on a
# (comment-only) C file that mirrors the same layout as the spec file.
sc_spec_indentation:
- @if cppi --version >/dev/null 2>&1; then \
- for f in $$($(VC_LIST_EXCEPT) | $(GREP) '\.spec\.in$$'); do \
- $(SED) -e 's|#|// #|; s|%ifn*\(arch\)* |#if a // |' \
- -e 's/%\(else\|endif\|define\)/#\1/' \
- -e 's/^\( *\)\1\1\1#/#\1/' \
- -e 's|^\( *[^#/ ]\)|// \1|; s|^\( */[^/]\)|// \1|' $$f \
- | cppi -a -c 2>&1 | $(SED) "s|standard input|$$f|"; \
- done | { if $(GREP) . >&2; then false; else :; fi; } \
- || { echo '$(ME): incorrect preprocessor indentation' 1>&2; \
- exit 1; }; \
- else \
- echo '$(ME): skipping test $@: cppi not installed' 1>&2; \
- fi
+ @for f in $$($(VC_LIST_EXCEPT) | $(GREP) '\.spec\.in$$'); do \
+ $(SED) -e 's|#|// #|; s|%ifn*\(arch\)* |#if a // |' \
+ -e 's/%\(else\|endif\|define\)/#\1/' \
+ -e 's/^\( *\)\1\1\1#/#\1/' \
+ -e 's|^\( *[^#/ ]\)|// \1|; s|^\( */[^/]\)|// \1|' $$f \
+ | cppi -a -c 2>&1 | $(SED) "s|standard input|$$f|"; \
+ done | { if $(GREP) . >&2; then false; else :; fi; } \
+ || { echo '$(ME): incorrect preprocessor indentation' 1>&2; \
+ exit 1; };
# Nested conditionals are easier to understand if we enforce that endifs
# can be paired back to the if
--
2.21.0
5 years, 5 months
[libvirt] [PATCH 0/7] Validate spapr-vio addresses as 32-bit
by Andrea Bolognani
An alternative take on David Gibson's patch
https://www.redhat.com/archives/libvir-list/2019-June/msg00061.html
from earlier this month.
Andrea Bolognani (7):
docs: Fix validation of spapr-vio addresses
qemu: Rework qemuDomainDeviceDefValidateAddress()
qemu: Validate spapr-vio addresses
tests: Add pseries-spaprvio-invalid
conf: Format spapr-vio addresses as 32-bit
qemu: Format spapr-vio addresses as 32-bit
docs: Update documentation for spapr-vio addresses
docs/formatdomain.html.in | 6 +--
docs/schemas/domaincommon.rng | 2 +-
src/conf/domain_conf.c | 2 +-
src/qemu/qemu_command.c | 2 +-
src/qemu/qemu_domain.c | 41 ++++++++++++++++++-
tests/qemuargv2xmldata/nomachine-ppc64.xml | 2 +-
tests/qemuargv2xmldata/pseries-disk.xml | 2 +-
tests/qemuargv2xmldata/pseries-nvram.xml | 2 +-
.../disk-scsi.x86_64-latest.args | 2 +-
.../pseries-spaprvio-invalid.xml | 17 ++++++++
.../pseries-vio-user-assigned.args | 2 +-
tests/qemuxml2argvdata/pseries-vio.args | 4 +-
tests/qemuxml2argvtest.c | 1 +
tests/qemuxml2xmloutdata/disk-scsi.xml | 2 +-
tests/qemuxml2xmloutdata/pseries-nvram.xml | 2 +-
15 files changed, 73 insertions(+), 16 deletions(-)
create mode 100644 tests/qemuxml2argvdata/pseries-spaprvio-invalid.xml
--
2.21.0
5 years, 5 months
[libvirt] [PATCH 0/3] docs: storage: document 'lvm2' disk fun
by Ján Tomko
Ján Tomko (3):
docs: storage: fix spacing when enumerating volume formats
docs: storage: type out two
docs: storage: document the 'lvm2' disk format oddness
docs/storage.html.in | 26 +++++++++++++++++---------
1 file changed, 17 insertions(+), 9 deletions(-)
--
2.20.1
5 years, 5 months
[libvirt] [RFC PATCH 0/5] qemu: drop command line parsing
by Peter Krempa
All the code is mostly outdated and does not really help in most cases.
Since this was already proposed and I did not see anything against here
are the patches.
As a follow up I'll refactor and move the rest of qemu_parse_command.c
once this is out of the way.
you can fetch this by
git fetch https://github.com/pipo/libvirt.git parse-command-delete
Peter Krempa (5):
qemu: driver: Drop support for qemu-attach
qemu: parse: Drop qemuParseCommandLinePid and friends
qemu: driver: Remove support for native->XML conversion
tests: Drop qemuargv2xmltest
qemu: parse: Drop unused qemu command line parsing infrastructure
src/check-aclrules.pl | 1 +
src/qemu/qemu_domain.c | 2 +
src/qemu/qemu_driver.c | 125 +-
src/qemu/qemu_parse_command.c | 2714 +----------------
src/qemu/qemu_parse_command.h | 23 -
tests/Makefile.am | 11 +-
tests/qemuargv2xmldata/boot-cdrom.args | 22 -
tests/qemuargv2xmldata/boot-cdrom.xml | 35 -
tests/qemuargv2xmldata/boot-floppy.args | 23 -
tests/qemuargv2xmldata/boot-floppy.xml | 41 -
tests/qemuargv2xmldata/boot-network.args | 22 -
tests/qemuargv2xmldata/boot-network.xml | 34 -
tests/qemuargv2xmldata/clock-localtime.args | 23 -
tests/qemuargv2xmldata/clock-localtime.xml | 34 -
tests/qemuargv2xmldata/clock-utc.args | 22 -
tests/qemuargv2xmldata/clock-utc.xml | 34 -
tests/qemuargv2xmldata/console-compat.args | 22 -
tests/qemuargv2xmldata/console-compat.xml | 42 -
tests/qemuargv2xmldata/disk-cdrom-empty.args | 23 -
tests/qemuargv2xmldata/disk-cdrom-empty.xml | 40 -
tests/qemuargv2xmldata/disk-cdrom.args | 23 -
tests/qemuargv2xmldata/disk-cdrom.xml | 41 -
.../disk-drive-boot-cdrom.args | 23 -
.../disk-drive-boot-cdrom.xml | 41 -
.../disk-drive-boot-disk.args | 23 -
.../qemuargv2xmldata/disk-drive-boot-disk.xml | 41 -
.../disk-drive-cache-directsync.args | 24 -
.../disk-drive-cache-directsync.xml | 41 -
.../disk-drive-cache-unsafe.args | 24 -
.../disk-drive-cache-unsafe.xml | 41 -
.../disk-drive-cache-v2-none.args | 23 -
.../disk-drive-cache-v2-none.xml | 41 -
.../disk-drive-cache-v2-wb.args | 24 -
.../disk-drive-cache-v2-wb.xml | 41 -
.../disk-drive-cache-v2-wt.args | 24 -
.../disk-drive-cache-v2-wt.xml | 41 -
.../disk-drive-error-policy-enospace.args | 24 -
.../disk-drive-error-policy-enospace.xml | 41 -
.../disk-drive-error-policy-stop.args | 24 -
.../disk-drive-error-policy-stop.xml | 41 -
...sk-drive-error-policy-wreport-rignore.args | 24 -
...isk-drive-error-policy-wreport-rignore.xml | 41 -
.../qemuargv2xmldata/disk-drive-fmt-qcow.args | 23 -
.../qemuargv2xmldata/disk-drive-fmt-qcow.xml | 41 -
.../disk-drive-network-gluster.args | 25 -
.../disk-drive-network-gluster.xml | 41 -
.../disk-drive-network-iscsi-auth.args | 25 -
.../disk-drive-network-iscsi-auth.xml | 44 -
.../disk-drive-network-iscsi.args | 25 -
.../disk-drive-network-iscsi.xml | 41 -
.../disk-drive-network-nbd-export.args | 23 -
.../disk-drive-network-nbd-export.xml | 42 -
.../disk-drive-network-nbd-ipv6-export.args | 23 -
.../disk-drive-network-nbd-ipv6-export.xml | 42 -
.../disk-drive-network-nbd-ipv6.args | 23 -
.../disk-drive-network-nbd-ipv6.xml | 42 -
.../disk-drive-network-nbd-unix.args | 23 -
.../disk-drive-network-nbd-unix.xml | 42 -
.../disk-drive-network-nbd.args | 23 -
.../disk-drive-network-nbd.xml | 42 -
.../disk-drive-network-rbd-auth.args | 26 -
.../disk-drive-network-rbd-auth.xml | 47 -
.../disk-drive-network-rbd-ceph-env.args | 25 -
.../disk-drive-network-rbd-ceph-env.xml | 44 -
.../disk-drive-network-rbd-ipv6.args | 25 -
.../disk-drive-network-rbd-ipv6.xml | 45 -
.../disk-drive-network-rbd.args | 29 -
.../disk-drive-network-rbd.xml | 72 -
.../disk-drive-network-sheepdog.args | 23 -
.../disk-drive-network-sheepdog.xml | 42 -
tests/qemuargv2xmldata/disk-floppy.args | 24 -
tests/qemuargv2xmldata/disk-floppy.xml | 47 -
tests/qemuargv2xmldata/disk-many.args | 25 -
tests/qemuargv2xmldata/disk-many.xml | 52 -
tests/qemuargv2xmldata/disk-usb.args | 23 -
tests/qemuargv2xmldata/disk-usb.xml | 39 -
tests/qemuargv2xmldata/disk-virtio.args | 25 -
tests/qemuargv2xmldata/disk-virtio.xml | 53 -
.../graphics-sdl-fullscreen.args | 25 -
.../graphics-sdl-fullscreen.xml | 39 -
tests/qemuargv2xmldata/graphics-sdl.args | 24 -
tests/qemuargv2xmldata/graphics-sdl.xml | 39 -
.../qemuargv2xmldata/graphics-vnc-policy.args | 23 -
.../qemuargv2xmldata/graphics-vnc-policy.xml | 41 -
tests/qemuargv2xmldata/graphics-vnc-sasl.args | 24 -
tests/qemuargv2xmldata/graphics-vnc-sasl.xml | 41 -
.../qemuargv2xmldata/graphics-vnc-socket.args | 23 -
.../qemuargv2xmldata/graphics-vnc-socket.xml | 41 -
tests/qemuargv2xmldata/graphics-vnc-tls.args | 24 -
tests/qemuargv2xmldata/graphics-vnc-tls.xml | 41 -
.../graphics-vnc-websocket.args | 22 -
.../graphics-vnc-websocket.xml | 32 -
tests/qemuargv2xmldata/graphics-vnc.args | 23 -
tests/qemuargv2xmldata/graphics-vnc.xml | 41 -
.../qemuargv2xmldata/hostdev-pci-address.args | 23 -
.../qemuargv2xmldata/hostdev-pci-address.xml | 40 -
.../qemuargv2xmldata/hostdev-usb-address.args | 23 -
.../qemuargv2xmldata/hostdev-usb-address.xml | 39 -
tests/qemuargv2xmldata/hyperv-panic.args | 21 -
tests/qemuargv2xmldata/hyperv-panic.xml | 29 -
tests/qemuargv2xmldata/hyperv.args | 21 -
tests/qemuargv2xmldata/hyperv.xml | 33 -
tests/qemuargv2xmldata/input-usbmouse.args | 23 -
tests/qemuargv2xmldata/input-usbmouse.xml | 35 -
tests/qemuargv2xmldata/input-usbtablet.args | 23 -
tests/qemuargv2xmldata/input-usbtablet.xml | 35 -
tests/qemuargv2xmldata/kvm-features.args | 21 -
tests/qemuargv2xmldata/kvm-features.xml | 31 -
tests/qemuargv2xmldata/kvmclock.args | 22 -
tests/qemuargv2xmldata/kvmclock.xml | 30 -
.../machine-aeskeywrap-off-argv.args | 18 -
.../machine-aeskeywrap-off-argv.xml | 23 -
.../machine-aeskeywrap-on-argv.args | 18 -
.../machine-aeskeywrap-on-argv.xml | 23 -
tests/qemuargv2xmldata/machine-core-off.args | 22 -
tests/qemuargv2xmldata/machine-core-off.xml | 34 -
tests/qemuargv2xmldata/machine-core-on.args | 22 -
tests/qemuargv2xmldata/machine-core-on.xml | 34 -
.../machine-deakeywrap-off-argv.args | 18 -
.../machine-deakeywrap-off-argv.xml | 23 -
.../machine-deakeywrap-on-argv.args | 18 -
.../machine-deakeywrap-on-argv.xml | 23 -
.../machine-keywrap-none-argv.args | 18 -
.../machine-keywrap-none-argv.xml | 20 -
.../qemuargv2xmldata/mem-scale-maxmemory.args | 22 -
.../qemuargv2xmldata/mem-scale-maxmemory.xml | 38 -
tests/qemuargv2xmldata/mem-scale.args | 22 -
tests/qemuargv2xmldata/mem-scale.xml | 37 -
tests/qemuargv2xmldata/migrate.args | 23 -
tests/qemuargv2xmldata/migrate.xml | 34 -
tests/qemuargv2xmldata/misc-acpi.args | 21 -
tests/qemuargv2xmldata/misc-acpi.xml | 37 -
tests/qemuargv2xmldata/misc-disable-s3.args | 23 -
tests/qemuargv2xmldata/misc-disable-s3.xml | 37 -
.../misc-disable-suspends.args | 24 -
.../misc-disable-suspends.xml | 38 -
tests/qemuargv2xmldata/misc-enable-s4.args | 23 -
tests/qemuargv2xmldata/misc-enable-s4.xml | 37 -
tests/qemuargv2xmldata/misc-no-reboot.args | 23 -
tests/qemuargv2xmldata/misc-no-reboot.xml | 34 -
tests/qemuargv2xmldata/misc-uuid.args | 21 -
tests/qemuargv2xmldata/misc-uuid.xml | 37 -
tests/qemuargv2xmldata/net-eth-ifname.args | 23 -
tests/qemuargv2xmldata/net-eth-ifname.xml | 41 -
tests/qemuargv2xmldata/net-eth.args | 23 -
tests/qemuargv2xmldata/net-eth.xml | 40 -
tests/qemuargv2xmldata/net-user.args | 23 -
tests/qemuargv2xmldata/net-user.xml | 39 -
tests/qemuargv2xmldata/net-virtio.args | 23 -
tests/qemuargv2xmldata/net-virtio.xml | 39 -
.../nographics-vga-display.args | 23 -
.../nographics-vga-display.xml | 34 -
tests/qemuargv2xmldata/nographics-vga.args | 23 -
tests/qemuargv2xmldata/nographics-vga.xml | 34 -
tests/qemuargv2xmldata/nomachine-ppc64.args | 11 -
tests/qemuargv2xmldata/nomachine-ppc64.xml | 50 -
tests/qemuargv2xmldata/nomachine-x86_64.args | 11 -
tests/qemuargv2xmldata/nomachine-x86_64.xml | 49 -
tests/qemuargv2xmldata/nosharepages.args | 22 -
tests/qemuargv2xmldata/nosharepages.xml | 37 -
tests/qemuargv2xmldata/parallel-tcp.args | 22 -
tests/qemuargv2xmldata/parallel-tcp.xml | 39 -
tests/qemuargv2xmldata/pseries-disk.args | 18 -
tests/qemuargv2xmldata/pseries-disk.xml | 50 -
tests/qemuargv2xmldata/pseries-nvram.args | 22 -
tests/qemuargv2xmldata/pseries-nvram.xml | 30 -
tests/qemuargv2xmldata/qemu-ns-no-env.args | 23 -
tests/qemuargv2xmldata/qemu-ns-no-env.xml | 38 -
.../reboot-timeout-disabled.args | 21 -
.../reboot-timeout-disabled.xml | 26 -
.../reboot-timeout-enabled.args | 21 -
.../reboot-timeout-enabled.xml | 26 -
tests/qemuargv2xmldata/restore-v2.args | 23 -
tests/qemuargv2xmldata/restore-v2.xml | 34 -
tests/qemuargv2xmldata/serial-dev.args | 22 -
tests/qemuargv2xmldata/serial-dev.xml | 44 -
tests/qemuargv2xmldata/serial-file.args | 22 -
tests/qemuargv2xmldata/serial-file.xml | 44 -
tests/qemuargv2xmldata/serial-many.args | 23 -
tests/qemuargv2xmldata/serial-many.xml | 48 -
tests/qemuargv2xmldata/serial-pty.args | 22 -
tests/qemuargv2xmldata/serial-pty.xml | 42 -
tests/qemuargv2xmldata/serial-tcp-telnet.args | 22 -
tests/qemuargv2xmldata/serial-tcp-telnet.xml | 46 -
tests/qemuargv2xmldata/serial-tcp.args | 22 -
tests/qemuargv2xmldata/serial-tcp.xml | 46 -
tests/qemuargv2xmldata/serial-udp.args | 23 -
tests/qemuargv2xmldata/serial-udp.xml | 52 -
tests/qemuargv2xmldata/serial-unix.args | 22 -
tests/qemuargv2xmldata/serial-unix.xml | 44 -
tests/qemuargv2xmldata/serial-vc.args | 22 -
tests/qemuargv2xmldata/serial-vc.xml | 42 -
tests/qemuargv2xmldata/smp.args | 22 -
tests/qemuargv2xmldata/smp.xml | 37 -
tests/qemuargv2xmldata/sound.args | 23 -
tests/qemuargv2xmldata/sound.xml | 42 -
tests/qemuargv2xmldata/watchdog.args | 24 -
tests/qemuargv2xmldata/watchdog.xml | 35 -
tests/qemuargv2xmltest.c | 323 --
tests/virschematest.c | 2 +-
200 files changed, 18 insertions(+), 9093 deletions(-)
delete mode 100644 tests/qemuargv2xmldata/boot-cdrom.args
delete mode 100644 tests/qemuargv2xmldata/boot-cdrom.xml
delete mode 100644 tests/qemuargv2xmldata/boot-floppy.args
delete mode 100644 tests/qemuargv2xmldata/boot-floppy.xml
delete mode 100644 tests/qemuargv2xmldata/boot-network.args
delete mode 100644 tests/qemuargv2xmldata/boot-network.xml
delete mode 100644 tests/qemuargv2xmldata/clock-localtime.args
delete mode 100644 tests/qemuargv2xmldata/clock-localtime.xml
delete mode 100644 tests/qemuargv2xmldata/clock-utc.args
delete mode 100644 tests/qemuargv2xmldata/clock-utc.xml
delete mode 100644 tests/qemuargv2xmldata/console-compat.args
delete mode 100644 tests/qemuargv2xmldata/console-compat.xml
delete mode 100644 tests/qemuargv2xmldata/disk-cdrom-empty.args
delete mode 100644 tests/qemuargv2xmldata/disk-cdrom-empty.xml
delete mode 100644 tests/qemuargv2xmldata/disk-cdrom.args
delete mode 100644 tests/qemuargv2xmldata/disk-cdrom.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-boot-cdrom.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-boot-cdrom.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-boot-disk.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-boot-disk.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-directsync.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-directsync.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-unsafe.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-unsafe.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-v2-none.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-v2-none.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-v2-wb.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-v2-wb.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-v2-wt.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-cache-v2-wt.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-error-policy-enospace.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-error-policy-enospace.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-error-policy-stop.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-error-policy-stop.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-error-policy-wreport-rignore.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-error-policy-wreport-rignore.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-fmt-qcow.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-fmt-qcow.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-gluster.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-gluster.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-iscsi-auth.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-iscsi-auth.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-iscsi.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-iscsi.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-export.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-export.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-ipv6-export.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-ipv6-export.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-ipv6.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-ipv6.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-unix.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd-unix.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-nbd.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd-auth.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd-auth.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd-ceph-env.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd-ceph-env.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd-ipv6.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd-ipv6.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-rbd.xml
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-sheepdog.args
delete mode 100644 tests/qemuargv2xmldata/disk-drive-network-sheepdog.xml
delete mode 100644 tests/qemuargv2xmldata/disk-floppy.args
delete mode 100644 tests/qemuargv2xmldata/disk-floppy.xml
delete mode 100644 tests/qemuargv2xmldata/disk-many.args
delete mode 100644 tests/qemuargv2xmldata/disk-many.xml
delete mode 100644 tests/qemuargv2xmldata/disk-usb.args
delete mode 100644 tests/qemuargv2xmldata/disk-usb.xml
delete mode 100644 tests/qemuargv2xmldata/disk-virtio.args
delete mode 100644 tests/qemuargv2xmldata/disk-virtio.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-sdl-fullscreen.args
delete mode 100644 tests/qemuargv2xmldata/graphics-sdl-fullscreen.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-sdl.args
delete mode 100644 tests/qemuargv2xmldata/graphics-sdl.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-policy.args
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-policy.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-sasl.args
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-sasl.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-socket.args
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-socket.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-tls.args
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-tls.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-websocket.args
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc-websocket.xml
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc.args
delete mode 100644 tests/qemuargv2xmldata/graphics-vnc.xml
delete mode 100644 tests/qemuargv2xmldata/hostdev-pci-address.args
delete mode 100644 tests/qemuargv2xmldata/hostdev-pci-address.xml
delete mode 100644 tests/qemuargv2xmldata/hostdev-usb-address.args
delete mode 100644 tests/qemuargv2xmldata/hostdev-usb-address.xml
delete mode 100644 tests/qemuargv2xmldata/hyperv-panic.args
delete mode 100644 tests/qemuargv2xmldata/hyperv-panic.xml
delete mode 100644 tests/qemuargv2xmldata/hyperv.args
delete mode 100644 tests/qemuargv2xmldata/hyperv.xml
delete mode 100644 tests/qemuargv2xmldata/input-usbmouse.args
delete mode 100644 tests/qemuargv2xmldata/input-usbmouse.xml
delete mode 100644 tests/qemuargv2xmldata/input-usbtablet.args
delete mode 100644 tests/qemuargv2xmldata/input-usbtablet.xml
delete mode 100644 tests/qemuargv2xmldata/kvm-features.args
delete mode 100644 tests/qemuargv2xmldata/kvm-features.xml
delete mode 100644 tests/qemuargv2xmldata/kvmclock.args
delete mode 100644 tests/qemuargv2xmldata/kvmclock.xml
delete mode 100644 tests/qemuargv2xmldata/machine-aeskeywrap-off-argv.args
delete mode 100644 tests/qemuargv2xmldata/machine-aeskeywrap-off-argv.xml
delete mode 100644 tests/qemuargv2xmldata/machine-aeskeywrap-on-argv.args
delete mode 100644 tests/qemuargv2xmldata/machine-aeskeywrap-on-argv.xml
delete mode 100644 tests/qemuargv2xmldata/machine-core-off.args
delete mode 100644 tests/qemuargv2xmldata/machine-core-off.xml
delete mode 100644 tests/qemuargv2xmldata/machine-core-on.args
delete mode 100644 tests/qemuargv2xmldata/machine-core-on.xml
delete mode 100644 tests/qemuargv2xmldata/machine-deakeywrap-off-argv.args
delete mode 100644 tests/qemuargv2xmldata/machine-deakeywrap-off-argv.xml
delete mode 100644 tests/qemuargv2xmldata/machine-deakeywrap-on-argv.args
delete mode 100644 tests/qemuargv2xmldata/machine-deakeywrap-on-argv.xml
delete mode 100644 tests/qemuargv2xmldata/machine-keywrap-none-argv.args
delete mode 100644 tests/qemuargv2xmldata/machine-keywrap-none-argv.xml
delete mode 100644 tests/qemuargv2xmldata/mem-scale-maxmemory.args
delete mode 100644 tests/qemuargv2xmldata/mem-scale-maxmemory.xml
delete mode 100644 tests/qemuargv2xmldata/mem-scale.args
delete mode 100644 tests/qemuargv2xmldata/mem-scale.xml
delete mode 100644 tests/qemuargv2xmldata/migrate.args
delete mode 100644 tests/qemuargv2xmldata/migrate.xml
delete mode 100644 tests/qemuargv2xmldata/misc-acpi.args
delete mode 100644 tests/qemuargv2xmldata/misc-acpi.xml
delete mode 100644 tests/qemuargv2xmldata/misc-disable-s3.args
delete mode 100644 tests/qemuargv2xmldata/misc-disable-s3.xml
delete mode 100644 tests/qemuargv2xmldata/misc-disable-suspends.args
delete mode 100644 tests/qemuargv2xmldata/misc-disable-suspends.xml
delete mode 100644 tests/qemuargv2xmldata/misc-enable-s4.args
delete mode 100644 tests/qemuargv2xmldata/misc-enable-s4.xml
delete mode 100644 tests/qemuargv2xmldata/misc-no-reboot.args
delete mode 100644 tests/qemuargv2xmldata/misc-no-reboot.xml
delete mode 100644 tests/qemuargv2xmldata/misc-uuid.args
delete mode 100644 tests/qemuargv2xmldata/misc-uuid.xml
delete mode 100644 tests/qemuargv2xmldata/net-eth-ifname.args
delete mode 100644 tests/qemuargv2xmldata/net-eth-ifname.xml
delete mode 100644 tests/qemuargv2xmldata/net-eth.args
delete mode 100644 tests/qemuargv2xmldata/net-eth.xml
delete mode 100644 tests/qemuargv2xmldata/net-user.args
delete mode 100644 tests/qemuargv2xmldata/net-user.xml
delete mode 100644 tests/qemuargv2xmldata/net-virtio.args
delete mode 100644 tests/qemuargv2xmldata/net-virtio.xml
delete mode 100644 tests/qemuargv2xmldata/nographics-vga-display.args
delete mode 100644 tests/qemuargv2xmldata/nographics-vga-display.xml
delete mode 100644 tests/qemuargv2xmldata/nographics-vga.args
delete mode 100644 tests/qemuargv2xmldata/nographics-vga.xml
delete mode 100644 tests/qemuargv2xmldata/nomachine-ppc64.args
delete mode 100644 tests/qemuargv2xmldata/nomachine-ppc64.xml
delete mode 100644 tests/qemuargv2xmldata/nomachine-x86_64.args
delete mode 100644 tests/qemuargv2xmldata/nomachine-x86_64.xml
delete mode 100644 tests/qemuargv2xmldata/nosharepages.args
delete mode 100644 tests/qemuargv2xmldata/nosharepages.xml
delete mode 100644 tests/qemuargv2xmldata/parallel-tcp.args
delete mode 100644 tests/qemuargv2xmldata/parallel-tcp.xml
delete mode 100644 tests/qemuargv2xmldata/pseries-disk.args
delete mode 100644 tests/qemuargv2xmldata/pseries-disk.xml
delete mode 100644 tests/qemuargv2xmldata/pseries-nvram.args
delete mode 100644 tests/qemuargv2xmldata/pseries-nvram.xml
delete mode 100644 tests/qemuargv2xmldata/qemu-ns-no-env.args
delete mode 100644 tests/qemuargv2xmldata/qemu-ns-no-env.xml
delete mode 100644 tests/qemuargv2xmldata/reboot-timeout-disabled.args
delete mode 100644 tests/qemuargv2xmldata/reboot-timeout-disabled.xml
delete mode 100644 tests/qemuargv2xmldata/reboot-timeout-enabled.args
delete mode 100644 tests/qemuargv2xmldata/reboot-timeout-enabled.xml
delete mode 100644 tests/qemuargv2xmldata/restore-v2.args
delete mode 100644 tests/qemuargv2xmldata/restore-v2.xml
delete mode 100644 tests/qemuargv2xmldata/serial-dev.args
delete mode 100644 tests/qemuargv2xmldata/serial-dev.xml
delete mode 100644 tests/qemuargv2xmldata/serial-file.args
delete mode 100644 tests/qemuargv2xmldata/serial-file.xml
delete mode 100644 tests/qemuargv2xmldata/serial-many.args
delete mode 100644 tests/qemuargv2xmldata/serial-many.xml
delete mode 100644 tests/qemuargv2xmldata/serial-pty.args
delete mode 100644 tests/qemuargv2xmldata/serial-pty.xml
delete mode 100644 tests/qemuargv2xmldata/serial-tcp-telnet.args
delete mode 100644 tests/qemuargv2xmldata/serial-tcp-telnet.xml
delete mode 100644 tests/qemuargv2xmldata/serial-tcp.args
delete mode 100644 tests/qemuargv2xmldata/serial-tcp.xml
delete mode 100644 tests/qemuargv2xmldata/serial-udp.args
delete mode 100644 tests/qemuargv2xmldata/serial-udp.xml
delete mode 100644 tests/qemuargv2xmldata/serial-unix.args
delete mode 100644 tests/qemuargv2xmldata/serial-unix.xml
delete mode 100644 tests/qemuargv2xmldata/serial-vc.args
delete mode 100644 tests/qemuargv2xmldata/serial-vc.xml
delete mode 100644 tests/qemuargv2xmldata/smp.args
delete mode 100644 tests/qemuargv2xmldata/smp.xml
delete mode 100644 tests/qemuargv2xmldata/sound.args
delete mode 100644 tests/qemuargv2xmldata/sound.xml
delete mode 100644 tests/qemuargv2xmldata/watchdog.args
delete mode 100644 tests/qemuargv2xmldata/watchdog.xml
delete mode 100644 tests/qemuargv2xmltest.c
--
2.21.0
5 years, 5 months